.featured-products {
    background-color: #fff;
    padding: 20px 0;
  }
  
  .container {
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 20px;
    align-items: flex-start;
  }
  .product {
    background-color: #fff;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
    text-align: center;
    width: calc(25.33% - 20px); /* Adjust the width as needed for the number of products per row */
    box-sizing: border-box; /* Ensure padding doesn't affect width */
  }
  .product img {
    max-width: 100%;
    height: auto;
    margin-bottom: 10px;
  }
  button {
    background-color: #ff3f6c;
    color: #fff;
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    font-size: 14px;
    font-weight: 600;
    cursor: pointer;
    transition: background-color 0.3s ease;
    margin-left: 20px; /* Add margin-top for spacing */
  }
  